namespace DotNetDeluxe.Services.Web.Security
{
	using System;
	using System.Diagnostics.Contracts;

	[ContractClassFor(typeof(IUserAccountProviderConfiguration))]
	public class IUserAccountProviderConfigurationContract : IUserAccountProviderConfiguration
	{
		public bool EnablePasswordReset
		{
			get
			{
				return default(bool);
			}
		}

		public int MaxInvalidPasswordAttempts
		{
			get
			{
				return default(int);
			}
		}

		public int PasswordAttemptWindow
		{
			get
			{
				return default(int);
			}
		}

		public UserAccountPasswordFormat PasswordFormat
		{
			get
			{
				return default(UserAccountPasswordFormat);
			}
		}

		public string PasswordStrengthPattern
		{
			get
			{
				Contract.Ensures(!string.IsNullOrEmpty(Contract.Result<string>()));

				return default(string);
			}
		}

		public string UsernamePattern
		{
			get
			{
				Contract.Ensures(!string.IsNullOrEmpty(Contract.Result<string>()));

				return default(string);
			}
		}
	}
}